Next Previous Contents

## 3.104 mouse_buttons

> Function

>   Return a bit mask encoding the state of the mouse buttons.

> Header

>   `mouse.h`

> Declaration

>   `unsigned char __fastcall__ mouse_buttons (void);`

> Description

>   The function returns a bit mask that encodes the state of the mouse buttons. You may use the `MOUSE_BTN_XXX` flags to decode the function return value.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_info, mouse_pos

> Example

>   None.

Next Previous Contents